cURL
curl --request PUT \ --url https://api.rootkey.ai/api-v1/platform/vaults/{vaultAddress} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>" } '
{ "name": "My first wallet", "description": "First wallet created through ROOTKey API", "walletAddress": "0x1234567890abcdef1234567890abcdef12345678" }
Update a vault
Documentation IndexFetch the complete documentation index at: https://docs.rootkey.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.rootkey.ai/llms.txt
Use this file to discover all available pages before exploring further.
The vault address
Vault update request payload
New wallet name
New wallet description
Vault updated successfully
The name of the wallet
The description of the wallet to help you organize your data
The address of the wallet
Was this page helpful?